using PageAdmin.Common;
using PageAdmin.Utils;
using PageAdmin.Web.Filter;
using System.Web.Mvc;

namespace PageAdmin.Web.Areas.Admin.Controllers
{
    public class DepartmentController:DefaultBaseController
    {
        public DepartmentController() : base("pa_department", "User")
        {
            base.MvcContext.IncludeCustomField = true;
            base.MvcContext.IsMultilevelTable = true;
            base.CheckRepeatFieldDic.Add("name", "部门名称");
        }

        [HttpGet]
        [NotCheckMenuItemPermissions]
        public ActionResult Select()
        {
            return View();
        }
    }
}